| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]

# Method __low_check_call()

Method __low_check_call

  `type(mixed) __low_check_call(type(mixed) fun_type, type(mixed) arg_type)`
  `type(mixed) __low_check_call(type(mixed) fun_type, type(mixed) arg_type, int flags)`

Description

  Check whether a function of type fun_type may be called with a first argument of type arg_type .

Parameter `flags`

  The following flags are currently defined:

  `1` | Strict types. Fail if not all possible values in arg_type are valid as the first argument to fun_type .
  `2` | Last argument. arg_type is the last argument to fun_type .
  `3` | Both strict types and last argument as above.

Returns

  Returns a continuation type on success.

  Returns `0` (zero) on failure.